%define name lxmusic
%define version 0.4.7
%define release %mkrel 1 

Summary:	Lightweight XMMS2 GUI frontend
Summary(de):	Leichtgewichtige XMMS2 Bedienoberfläche
Name:     	%name
Version:	%version
Release:	%release
License:	GPLv2+
Group:		Graphical desktop/LXDE
Source0: 	http://dfn.dl.sourceforge.net/sourceforge/lxde/%name-%version.tar.xz
URL:		http://www.lxde.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	%{_lib}gtk+2.0_0-devel
Buildrequires:	xmms2-devel >= 0.6
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
Requires:	xmms2 >= 0.6
Requires:       glibc >= 2.10.1
Requires:       libstdc++6 >= 4.4.1

%description
LXMusic is a simple GUI XMMS2 client with minimal functionality.
It can do nothing more than playing music files.

%description -l de
LXMusic ist eine einfache XMMS2 Client GUI mit minimalen Funktionen.
Ein einfacher Player für Musikdateien, nicht mehr und nicht weniger.

%prep
%setup -q

%build
%configure2_5x --prefix=%{_prefix}
%{__make} %{?_smp_mflags} %{?mflags}

%install
%{__make} %{?mflags_install} DESTDIR=$RPM_BUILD_ROOT install

# desktop file
desktop-file-install --vendor="" \
	--add-category="X-MandrivaLinux-Multimedia-Sound" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# fix menu name
perl -pi -e "s|Music Player|LXMusic Player|" %{buildroot}%{_datadir}/applications/lxmusic.desktop

%{find_lang} %{name}

%clean
test "x$RPM_BUILD_ROOT" != "x/" && rm -rf $RPM_BUILD_ROOT



%post
/sbin/ldconfig
%update_desktop_database

%postun
/sbin/ldconfig
%clean_desktop_database


%files -f %{name}.lang
%defattr(-, root, root)
%{_bindir}/%name
%{_datadir}/%name
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/*.desktop
%{_mandir}/man1/%{name}.1.bz2


%changelog
* Thu Feb 25 2016 ghostbunny <ghostbunny at gmx dot de> 0.4.7-1pclos2016
- 0.4.7

* Mon Sep 15 2014 ghostbunny <ghostbunny at gmx dot de> 0.4.6-1pclos2014
- 0.4.6
- add missing BR desktop-file-utils

* Wed May 23 2012 Neal <nealbrks0 at gmail dot com> 0.4.5-1pclos2012
- process

* Tue May 22 2012 ghostbunny <ghostbunny at gmx dot de> 0.4.5-1pclos2012
- 0.4.5
- added german summary
- added %{_lib} macro
- added xz compression

* Sat Oct 03 2009 Neal <nealbrks0@gmail.com> 0.4.0-2pclos2010
- gcc update

* Sun Aug 23 2009 Anikan <mamifer0 at msn dot com> 0.4.0-1pclos2009
- initial build
- add desktop entry (tex)

